package com.iamberry.wechat.face.drp;

import java.util.List;
import java.util.Map;

import com.iamberry.wechat.core.entity.PageBean;
import com.iamberry.wechat.core.entity.ResultMsg;
import com.iamberry.wechat.core.entity.drp.PlaceOrder;
import com.iamberry.wechat.core.entity.product.Product;

/**
 * 
 * @author 欧阳明
 * @Description: 订货处理业务逻辑
 * @Date:2016年4月19日
 *
 */
public interface PlaceOrderService {

	//获取可订购的商品
	public Product getOrderPaper(int productId);
	//获取订货订单
	public PlaceOrder getOrderPaperById(String id);
	//提交订单
	public PlaceOrder submitOrder(PlaceOrder placeOrder, Integer placeId);
	
	//付款操作
	public ResultMsg payOrder(PlaceOrder placeOrder);
	
	//返回订单处理结果
	//public ResultMsg getSubmitResult();
	
	//获取订单列表，根据参数进行查询
    public List<PlaceOrder> getSearchPaidOrder(PlaceOrder placeOrder);
    
    //获取订单分页信息的其他页
    public Map getSearchPaidOrderNext(PlaceOrder placeOrder);
    
    //获取订单分页信息的其他页（管理后台）
    public Map getSearchPaidOrderAdmin(PageBean page);
    
    //更新订单状态或者订单其他信息
    public Integer UpdateOrder(PlaceOrder placeOrder);
    
//  //获取未付的订单
//  public List<PlaceOrder>  getUnpaidOrder(PlaceOrder placeOrder);
//  
//  //获取已发货订单
//  public List<PlaceOrder>  getSendingOrder(PlaceOrder placeOrder);
    
	
}
